double extract_amt(const char *z, const char *chem);
void generate_zones(char *coords, int body);
void load_sector(char *coords, struct sector_t *sect);
void close_sector(int fd);
void dispose_sector(struct sector_t *sect);
int open_sector(char *coords);
void read_sector(int fd, struct sector_t *sect);
void write_sector(int fd, struct sector_t *sect);
void add_colony(struct body_t *body, const char *colony);
void add_orbital_fleet(struct body_t *body, char *fleet);
void add_fleet(struct sector_t *sect, char *fleet);
void add_landed_fleet(struct body_t *body, char *fleet);
int fleet_in_sector(struct fleet_t *fleet, struct sector_t *sect);
int vector_distance_s(GString *coords1, GString *coords2);
int create_sector(char *coords);
int create_random_system(void);
char *body_name(struct body_t *b);
GString *body_mass_str(double mass);
const char *body_class_string(int class);
